Package org.eclipse.rdf4j.workbench.proxy

## Class CookieHandler

- java.lang.Object
- - org.eclipse.rdf4j.workbench.proxy.CookieHandler

-     public class CookieHandler
      extends Object

  Handles cookies for proxy servlets.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static String` | `COOKIE_AGE_PARAM` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `CookieHandler​(String maxAge)` |
    `protected` | `CookieHandler​(javax.servlet.ServletConfig config)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `addNewCookie​(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp, String name, String value)` |
    `protected String` | `getCookie​(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp, String name)` |
    `protected String` | `getCookieNullIfEmpty​(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp, String name)` |
    `String` | `getMaxAge()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COOKIE_AGE_PARAM

          protected static final String COOKIE_AGE_PARAM

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CookieHandler

          protected CookieHandler​(String maxAge)

    - #### CookieHandler

          protected CookieHandler​(javax.servlet.ServletConfig config)

  - ### Method Detail

    - #### getCookieNullIfEmpty

          protected String getCookieNullIfEmpty​(javax.servlet.http.HttpServletRequest req,
                                                javax.servlet.http.HttpServletResponse resp,
                                                String name)

    - #### getCookie

          protected String getCookie​(javax.servlet.http.HttpServletRequest req,
                                     javax.servlet.http.HttpServletResponse resp,
                                     String name)

    - #### addNewCookie

          protected void addNewCookie​(javax.servlet.http.HttpServletRequest req,
                                      javax.servlet.http.HttpServletResponse resp,
                                      String name,
                                      String value)

      Parameters:
        `req` - servlet request
        `resp` - servlet response
        `name` - cookie name
        `value` - cookie value

    - #### getMaxAge

          public String getMaxAge()

      Returns:
        the maximum age allowed for cookies